WxT Omega
=========
A modern, [Sass][sass] and [Compass][compass] enabled theme powered by the [Omega][omega] base theme.

Key Features
------------

* Allows you to manage your template file in separate directories, with an .inc file for each.
* Contains a rewrite (cleanup) of all of core’s CSS and many optimizations to the markup generated by core.
* Backports many of the standards described in the [Drupal 8][drupal] CSS Standards
* Extensions which contain settings for many popular libraries and tools to manage Drupals Javascript and CSS assets.
* Extension which provides tools for disabling caching, a region demo mode, a browser width indicator, optional integration for LiveReload and more.
* Provides extensive Drush integration out of the box allowing you to quickly generate subthemes with drush omega-wizard etc.
* Provides layouts as a method of managing page templates along with layout specific stylesheets and regions.

Documentation
-------------

The [Omega 4.x documentation][omega_docs] is hosted on [drupal.org][drupal] as part of the handbook section. Please note that we are still in the process of writing the documentation. If you want to get involved, please contact us.

Sub Theming
-----------

The easiest way to create a new [WxT Omega][wxt_omega] based sub-theme is by using [Drush][drush]. [Omega][omega] itself comes with a very easy-to-use Drush command for generating sub-themes through a command-line wizard. You can start the sub-theme creation wizard by invoking `drush omega-wizard` in the command-line and specifying you wish to create a subtheme of [WxT Omega][wxt_omega].

It is worth noting that the Drush subtheme provided by Omega Wizard won't add your custom regions. Simply add the following custom region to your new subtheme's info file

```sh
regions[content_aside]  = Aside
regions[leaderboard]    = Leaderboard
regions[mega_menu]      = Mega Menu
regions[page_bottom]    = Page bottom
regions[page_top]       = Page top
```

Maintenance Mode Support (Settings.php)
---------------------------------------

Variables for proper maintenance mode support:

```sh
$conf['install_profile'] = 'wetkit';
$conf['maintenance_theme'] = 'wetkit_omega';
```

Choose from one of the following:

```sh
$conf['maintenance_theme_suggestion'] = 'maintenance_page__base';
$conf['maintenance_theme_suggestion'] = 'maintenance_page__internet';
$conf['maintenance_theme_suggestion'] = 'maintenance_page__intranet';
$conf['maintenance_theme_suggestion'] = 'maintenance_page__wet';
```

Optional variables to override defaults:

```sh
$conf['head_title'] = '';
$conf['site_name'] = '';
$conf['wxt_title_en'] = '';
$conf['wxt_content_en'] = '';
$conf['wxt_title_fr'] = '';
$conf['wxt_content_fr'] = '';
```


<!-- Links Referenced -->

[compass]:              http://compass-style.org
[drupal]:               http://drupal.org
[drupalwxt]:            http://drupal.org/project/wetkit
[drush]:                https://github.com/drush-ops/drush
[omega]:                http://drupal.org/project/omega
[omega_docs]:           https://drupal.org/node/1768686
[sass]:                 http://sass-lang.com
[wxt_omega]:            http://drupal.org/project/wetkit_omega
